Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Interface SessionIdManager

All Superinterfaces:
  LifeCycle

All Known Implementing Classes:
  HashSessionIdManager

    public interface SessionIdManager

extends LifeCycle

Session ID Manager. Manages session IDs across multiple contexts.

Author:
  gregw

Method Summary
`void` | `addSession(HttpSession session)` Add a session to the list of known sessions for a given ID.
`String` | `getWorkerName()`
`boolean` | `idInUse(String id)`
`void` | `invalidateAll(String id)` Call `HttpSession#invalidate()` on all known sessions for the given id.
`String` | `newSessionId(HttpServletRequest request, long created)`
`void` | `removeSession(HttpSession session)` Remove session from the list of known sessions for a given ID.

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Method Detail

### idInUse

    boolean idInUse(String id)

  Parameters:
    `id` -
  Returns:
    True if the session ID is in use by at least one context.

### addSession

    void addSession(HttpSession session)

  Add a session to the list of known sessions for a given ID.

  Parameters:
    `session` - The session

### removeSession

    void removeSession(HttpSession session)

  Remove session from the list of known sessions for a given ID.

  Parameters:
    `session` -

### invalidateAll

    void invalidateAll(String id)

  Call `HttpSession#invalidate()` on all known sessions for the given id.

  Parameters:
    `id` -

### newSessionId

    String newSessionId(HttpServletRequest request,
                        long created)

  Parameters:
    `request` -
    `created` -
  Returns:

### getWorkerName

    String getWorkerName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.